test: _CM_KEY_NODE struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# _CM_KEY_NODE Struct Reference

`#include <cmdata.h>`

List of all members.

## Public Attributes

USHORT | Signature
USHORT | Flags
LARGE_INTEGER | LastWriteTime
ULONG | Spare
HCELL_INDEX | Parent
ULONG | SubKeyCounts [HTYPE_COUNT]
HCELL_INDEX | Security
HCELL_INDEX | Class
ULONG | MaxNameLen
ULONG | MaxClassLen
ULONG | MaxValueNameLen
ULONG | MaxValueDataLen
ULONG | WorkVar
USHORT | NameLength
USHORT | ClassLength
WCHAR | Name [1]

## Member Data Documentation

CM_KEY_REFERENCE _CM_KEY_NODE::ChildHiveReference

| Definition at line 460 of file cmdata.h. Referenced by CmpCreateLinkNode(), and CmRestoreKey().

HCELL_INDEX _CM_KEY_NODE::Class

| Definition at line 464 of file cmdata.h. Referenced by CmpCheckKey(), CmpCopyKeyPartial(), CmpCreateRootNode(), CmpDoCreateChild(), CmpFreeKeyBody(), CmpFreeKeyValues(), CmpMarkKeyDirty(), CmpMarkKeyValuesDirty(), CmpQueryKeyData(), CmpSyncKeyValues(), and EhCreateChild().

USHORT _CM_KEY_NODE::ClassLength

| Definition at line 476 of file cmdata.h. Referenced by CmpCheckKey(), CmpCopyKeyPartial(), CmpCreateLinkNode(), CmpCreateRootNode(), CmpDoCreateChild(), CmpFreeKeyBody(), CmpFreeKeyValues(), CmpQueryKeyData(), CmpSyncKeyValues(), and EhCreateChild().

USHORT _CM_KEY_NODE::Flags

| Definition at line 450 of file cmdata.h. Referenced by CmDeleteKey(), CmpAddDriverToList(), CmpAddSubKey(), CmpCopyKeyPartial(), CmpCreateKeyControlBlock(), CmpCreateLinkNode(), CmpCreateRootNode(), CmpDoCompareKeyName(), CmpDoCreate(), CmpDoCreateChild(), CmpFindProfileOption(), CmpFreeKeyBody(), CmpFreeKeyByCell(), CmpFreeKeyValues(), CmpGetHiveName(), CmpInsertSecurityCellList(), CmpLoadHiveVolatile(), CmpMarkIndexDirty(), CmpMarkKeyDirty(), CmpMarkKeyParentDirty(), CmpMarkKeyValuesDirty(), CmpQueryKeyData(), CmpRefreshHive(), CmpRemoveSubKey(), CmpReportNotify(), CmRestoreKey(), CmSaveKey(), CmSaveMergedKeys(), EhCreateChild(), and HvRefreshHive().

LARGE_INTEGER _CM_KEY_NODE::LastWriteTime

| Definition at line 451 of file cmdata.h. Referenced by CmDeleteValueKey(), CmpCopySyncTree2(), CmpCreateLinkNode(), CmpCreateRootNode(), CmpDoCreateChild(), CmpQueryKeyData(), CmpSetSecurityDescriptorInfo(), CmSetLastWriteTimeKey(), CmSetValueKey(), and EhCreateChild().

ULONG _CM_KEY_NODE::MaxClassLen

| Definition at line 466 of file cmdata.h. Referenced by CmpCreateLinkNode(), CmpCreateRootNode(), CmpDoCreate(), CmpDoCreateChild(), CmpFreeKeyByCell(), CmpQueryKeyData(), and EhCreateChild().

ULONG _CM_KEY_NODE::MaxNameLen

| Definition at line 465 of file cmdata.h. Referenced by CmpCreateLinkNode(), CmpCreateRootNode(), CmpDoCreate(), CmpDoCreateChild(), CmpFreeKeyByCell(), CmpQueryKeyData(), and EhCreateChild().

ULONG _CM_KEY_NODE::MaxValueDataLen

| Definition at line 468 of file cmdata.h. Referenced by CmDeleteValueKey(), CmpCreateRootNode(), CmpDoCreateChild(), CmpMergeKeyValues(), CmpQueryKeyData(), CmSetValueKey(), and EhCreateChild().

ULONG _CM_KEY_NODE::MaxValueNameLen

| Definition at line 467 of file cmdata.h. Referenced by CmDeleteValueKey(), CmpCreateRootNode(), CmpDoCreateChild(), CmpMergeKeyValues(), CmpQueryKeyData(), CmSetValueKey(), and EhCreateChild().

WCHAR _CM_KEY_NODE::Name[1]

| Definition at line 477 of file cmdata.h. Referenced by CmpAddDriverToList(), CmpAddSubKey(), CmpCreateLinkNode(), CmpCreateRootNode(), CmpDoCompareKeyName(), CmpDoCreateChild(), CmpFindProfileOption(), CmpGetHiveName(), CmpGetObjectSecurity(), CmpLoadHiveVolatile(), CmpMarkIndexDirty(), CmpQueryKeyData(), CmpRemoveSubKey(), CmRestoreKey(), EhCreateChild(), and EhOpenHive().

USHORT _CM_KEY_NODE::NameLength

| Definition at line 475 of file cmdata.h. Referenced by CmpAddDriverToList(), CmpAddSubKey(), CmpCheckKey(), CmpCreateLinkNode(), CmpCreateRootNode(), CmpDoCompareKeyName(), CmpDoCreateChild(), CmpFindProfileOption(), CmpGetHiveName(), CmpGetObjectSecurity(), CmpLoadHiveVolatile(), CmpMarkIndexDirty(), CmpQueryKeyData(), CmpRemoveSubKey(), CmRestoreKey(), EhCreateChild(), and EhOpenHive().

HCELL_INDEX _CM_KEY_NODE::Parent

| Definition at line 453 of file cmdata.h. Referenced by CmpCheckKey(), CmpCheckRegistry2(), CmpCopyKeyPartial(), CmpCreateLinkNode(), CmpCreateRootNode(), CmpDeleteTree(), CmpDestroyHive(), CmpDoCreateChild(), CmpFreeKeyByCell(), CmpGetHiveName(), CmpInsertSecurityCellList(), CmpMarkKeyDirty(), CmpMarkKeyParentDirty(), CmpReportNotify(), CmRestoreKey(), EhCreateChild(), and HvRefreshHive().

HCELL_INDEX _CM_KEY_NODE::Security

| Definition at line 463 of file cmdata.h. Referenced by CmpCheckKey(), CmpCopyKeyPartial(), CmpCreateKeyControlBlock(), CmpCreateRootNode(), CmpDoCreate(), CmpDoCreateChild(), CmpFreeKeyBody(), CmpFreeSecurityDescriptor(), CmpGetObjectSecurity(), CmpInsertSecurityCellList(), CmpMarkKeyDirty(), CmpMarkKeyValuesDirty(), CmpSetSecurityDescriptorInfo(), CmpSyncKeyValues(), CmpValidateHiveSecurityDescriptors(), EhCreateChild(), and EhpAttachSecurity().

USHORT _CM_KEY_NODE::Signature

| Definition at line 449 of file cmdata.h. Referenced by CmpCheckKey(), CmpCreateLinkNode(), CmpCreateRootNode(), CmpDoCreateChild(), EhCreateChild(), and ScanCell().

ULONG _CM_KEY_NODE::Spare

| Definition at line 452 of file cmdata.h. Referenced by CmpDoCreateChild(), and EhCreateChild().

ULONG _CM_KEY_NODE::SubKeyCounts[HTYPE_COUNT]

| Definition at line 454 of file cmdata.h. Referenced by CmDeleteKey(), CmpAddInfoAfterParseFailure(), CmpAddSubKey(), CmpCheckKey(), CmpCheckRegistry2(), CmpCopyKeyPartial(), CmpCopySyncTree2(), CmpCreateLinkNode(), CmpCreateRootNode(), CmpDeleteTree(), CmpDoCreateChild(), CmpFindProfileOption(), CmpFindSubKeyByName(), CmpFindSubKeyByNumber(), CmpFreeKeyByCell(), CmpMarkIndexDirty(), CmpMarkKeyDirty(), CmpQueryKeyData(), CmpRemoveSubKey(), CmpSyncSubKeysAfterDelete(), CmRestoreKey(), and EhCreateChild().

HCELL_INDEX _CM_KEY_NODE::SubKeyLists[HTYPE_COUNT]

| Definition at line 457 of file cmdata.h. Referenced by CmpAddInfoAfterParseFailure(), CmpAddSubKey(), CmpCheckKey(), CmpCopyKeyPartial(), CmpCreateLinkNode(), CmpCreateRootNode(), CmpDoCreateChild(), CmpFindSubKeyByName(), CmpFindSubKeyByNumber(), CmpMarkIndexDirty(), CmpRemoveSubKey(), CmpSelectLeaf(), CmRestoreKey(), and EhCreateChild().

CHILD_LIST _CM_KEY_NODE::ValueList

| Definition at line 458 of file cmdata.h. Referenced by CmDeleteValueKey(), CmpCheckKey(), CmpCopyKeyPartial(), CmpCreateKeyControlBlock(), CmpCreateLinkNode(), CmpCreateRootNode(), CmpDoCreateChild(), CmpFreeKeyByCell(), CmpFreeKeyValues(), CmpMarkKeyDirty(), CmpMarkKeyValuesDirty(), CmpMergeKeyValues(), CmpQueryKeyData(), CmpSyncKeyValues(), CmSetValueKey(), and EhCreateChild().

ULONG _CM_KEY_NODE::WorkVar

| Definition at line 470 of file cmdata.h. Referenced by CmpCheckRegistry2(), CmpFindSubKeyByName(), CmpMarkIndexDirty(), and CmpRemoveSubKey().

The documentation for this struct was generated from the following file:

- cmdata.h